Blacklisting Steinberg Stuff

Discussions about VST Instruments and VST plug-ins from other manufacturers
Post Reply
felis
Junior Member
Posts: 57
Joined: Fri Jul 22, 2016 7:25 pm
Location: midwest, USA
Contact:

Blacklisting Steinberg Stuff

Post by felis »

I'm wondering why Steinberg installs stuff and then blacklists it.

For example, in Cubase, my Halion, Halion Sonic, and Groove Agent VST2/64 bit are blacklisted - and I get a message that 32 bit plug-ins are no longer supported, even though those are 64 bit.

The reason, I guess, is that I use the VST3 versions. But if so, why does it install the VST2 versions also. Shouldn't there be some kind of page when you're installing stuff that lets you choose what to install? I would only install the VST3/64 bit versions then.
Sure, you can track other versions down and delete them, but it seems like a needless hassle.

David W
Member
Posts: 325
Joined: Sun May 12, 2019 1:23 pm
Contact:

Re: Blacklisting Steinberg Stuff

Post by David W »

Some third-party host applications still do not support VST3 - either at all, or in still useful older versions. Other third-party hosts that support VST3 are more robust with VST2 plugins.

Steinberg hosts work better with VST3 versions of Steinberg plugins, as you would expect from the creator of the VST3 standard. There is little advantage in not installing a VST2 version as the disk space saving is tiny - most of the disk space used is the content, which is shared between all installed versions of the plugin.

Post Reply

Return to “VST Instruments and Virtual Effects (general)”

Who is online

Users browsing this forum: No registered users and 1 guest